Page MenuHomePhabricator

Enforce user rights on Lexeme pages and its parts
Closed, ResolvedPublic

Description

As an admin I do want user rights to be enforced on Lexeme pages like they are enforced on item and property pages so that I can prevent bad editors from causing harm.

User rights baseline:

  • creating a Lexeme must only be possible by accounts with the right to create pages
  • editing any part of a Lexeme must only be possible by accounts with the right to edit pages
  • moving a Lexeme must not be possible
  • deleting a Lexeme page must only be possible by accounts with the right to delete pages
  • rate limits for edits should be enforced

Not part of this ticket:

  • separate user rights on Lexemes, Forms or Senses (for example being allowed to edit a Form but not the rest of the Lexeme)
  • no additional rights specific to Lexemes, Forms and Senses (for example terms editing and redirect creation)

Acceptance criteria:

  • A user without the right to create pages can not create a Lexeme
  • A user without the right to edit pages can not edit any part of a Lexeme
  • A user can not move Lexeme page
  • A user without the right to delete pages can not delete a Lexeme
  • A user without exemption from rate limits can not edit faster than the edit rate limit dictates.
  • For Forms (and Senses in the future) the exact same checks as on Lexeme are enforced.

Event Timeline

Restricted Application added a project: Wikidata. · View Herald TranscriptOct 24 2017, 3:29 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Lydia_Pintscher triaged this task as Normal priority.
Lydia_Pintscher renamed this task from permissions for adding and editing Forms to permissions for adding, editing and removing Forms.Oct 24 2017, 3:43 PM
Lydia_Pintscher renamed this task from permissions for adding, editing and removing Forms to Enforce user rights on Lexeme pages.Nov 21 2017, 9:35 AM
Lydia_Pintscher updated the task description. (Show Details)
Lydia_Pintscher renamed this task from Enforce user rights on Lexeme pages to Enforce user rights on Lexeme pages and its parts.Dec 5 2017, 3:07 PM
Lydia_Pintscher updated the task description. (Show Details)
Lydia_Pintscher closed this task as Resolved.Apr 23 2018, 7:50 PM
Lydia_Pintscher claimed this task.